> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of the current update



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/updater/status
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: v0.9.0
servers:
  - url: http://dweos.local
security: []
paths:
  /api/updater/status:
    get:
      tags:
        - updater
      summary: Get the status of the current update
      operationId: get_status_api_updater_status_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateStatusModel'
components:
  schemas:
    UpdateStatusModel:
      properties:
        state:
          $ref: '#/components/schemas/UpdateStateEnum'
        log:
          type: string
          title: Log
      type: object
      required:
        - state
        - log
      title: UpdateStatusModel
    UpdateStateEnum:
      type: string
      enum:
        - idle
        - running
        - failed
      title: UpdateStateEnum

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.